rpms/kdebase/devel kdebase-3.5.8-konsole-bz#244906.patch, NONE, 1.1 kdebase-3.5.8-redhat-startkde.patch, NONE, 1.1 .cvsignore, 1.57, 1.58 kdebase.spec, 1.269, 1.270 sources, 1.78, 1.79 kdebase-3.5.7-1-redhat-startkde.patch, 1.1, NONE kdebase-3.5.7-bz#244906.patch, 1.1, NONE post-3.5.7-kdebase-kdm.diff, 1.1, NONE post-3.5.7-kdebase-konqueror-2.diff, 1.1, NONE

Rex Dieter (rdieter) fedora-extras-commits at redhat.com
Sat Oct 13 12:47:30 UTC 2007


Author: rdieter

Update of /cvs/pkgs/rpms/kdebase/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv11783

Modified Files:
	.cvsignore kdebase.spec sources 
Added Files:
	kdebase-3.5.8-konsole-bz#244906.patch 
	kdebase-3.5.8-redhat-startkde.patch 
Removed Files:
	kdebase-3.5.7-1-redhat-startkde.patch 
	kdebase-3.5.7-bz#244906.patch post-3.5.7-kdebase-kdm.diff 
	post-3.5.7-kdebase-konqueror-2.diff 
Log Message:
* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.8-1
- kde-3.5.8


kdebase-3.5.8-konsole-bz#244906.patch:

--- NEW FILE kdebase-3.5.8-konsole-bz#244906.patch ---
diff -up kdebase-3.5.8/konsole/konsole/main.cpp.konsole-bz#244906 kdebase-3.5.8/konsole/konsole/main.cpp
--- kdebase-3.5.8/konsole/konsole/main.cpp.konsole-bz#244906	2007-10-08 04:51:33.000000000 -0500
+++ kdebase-3.5.8/konsole/konsole/main.cpp	2007-10-13 06:59:48.000000000 -0500
@@ -46,9 +46,11 @@
 
 #include "konsole.h"
 
+#if 0
 #if defined(Q_WS_X11) && defined(HAVE_XRENDER) && QT_VERSION >= 0x030300
 #define COMPOSITE
 #endif
+#endif
 
 #ifdef COMPOSITE
 # include <X11/Xlib.h>

kdebase-3.5.8-redhat-startkde.patch:

--- NEW FILE kdebase-3.5.8-redhat-startkde.patch ---
--- kdebase-3.5.7/startkde.redhat	2006-10-02 13:13:29.000000000 +0200
+++ kdebase-3.5.7/startkde	2006-10-10 17:35:53.000000000 +0200
@@ -1,7 +1,54 @@
 #!/bin/sh
 #
 #  DEFAULT KDE STARTUP SCRIPT ( KDE-3.5.8 )
-#
+#  Modified for Red Hat Linux
+
+unset BLOCK_SIZE # breaks parsing of df output
+shopt -u -o noclobber # allow overwriting of files with '>'
+
+# set up user environment if not present
+# check for space on /tmp and "$HOME" and for write access
+#  error exit, if not
+space_tmp=`LANG=C df /tmp | xargs | cut -d" " -f11`
+homedir_mount=`LANG=C df "$HOME" | xargs | cut -d" " -f8`
+
+if [ "$homedir_mount" = "AFS" -a -x "`which fs 2>/dev/null`" ] ; then
+    # check for AFS
+    space_home=`LANG=C fs df "$HOME" | xargs | cut -d" " -f10`
+else
+    # check regular mounts
+    space_home=`LANG=C df "$HOME" | xargs | cut -d" " -f11`
+fi
+
+if [ $space_tmp -lt 50 ]; then
+    echo $"Not enough free disk space on /tmp"
+    exit 1
+fi
+
+if [ $space_home -lt 25 ]; then
+    echo $"Not enough free disk space on "$HOME""
+    exit 1
+fi
+testfile_tmp=`mktemp /tmp/KDE.startkde.XXXXXX`
+testfile_home=`mktemp "$HOME"/KDE.startkde.XXXXXX`
+
+if ! echo TEST_TEXT >$testfile_tmp 2>/dev/null ; then
+    echo $"You don't have write permissions for /tmp"
+    exit 1
+fi
+rm -f $testfile_tmp
+
+if ! echo TEST_TEXT >$testfile_home 2>/dev/null ; then
+     echo $"You don't have write permissions for "$HOME""
+     exit 1
+fi
+rm -f $testfile_home
+
+[ -d "$HOME"/.kde/share/config ] || mkdir -p "$HOME"/.kde/share/config
+
+if [ ! -e "$HOME"/.kde/share/config/emaildefaults ]; then
+  /usr/bin/mailsettings >"$HOME"/.kde/share/config/emaildefaults
+fi
 
 # When the X server dies we get a HUP signal from xinit. We must ignore it
 # because we still need to do some cleanup.
@@ -14,12 +61,12 @@
 	exit 1
 fi
 
-# Set the background to plain grey.
+# Set the background to the Red Hat default blue
 # The standard X background is nasty, causing moire effects and exploding
 # people's heads. We use colours from the standard KDE palette for those with
 # palettised displays.
 if test -z "$XDM_MANAGED" || echo "$XDM_MANAGED" | grep ",auto" > /dev/null; then
-  xsetroot -solid "#000000"
+  xsetroot -solid "#5477A0"
 fi
 
 # we have to unset this for Darwin since it will screw up KDE's dynamic-loading
@@ -61,7 +108,7 @@
 cat >$kdehome/share/config/startupconfigkeys <<EOF
 kcminputrc Mouse cursorTheme ''
 kcminputrc Mouse cursorSize ''
-kpersonalizerrc General FirstLogin true
+kpersonalizerrc General FirstLogin false
 ksplashrc KSplash Theme Default
 kcmrandrrc Display ApplyOnStartup false
 kcmrandrrc [Screen0]
@@ -157,8 +204,8 @@
 EOF
 fi
 
-# Source scripts found in <localprefix>/env/*.sh and <prefixes>/env/*.sh
-# (where <localprefix> is $KDEHOME or ~/.kde, and <prefixes> is where KDE is installed)
+# Source scripts found in <localprefix>/env/*.sh and /etc/kde/env/*.sh
+# (where <localprefix> is $KDEHOME or ~/.kde)
 #
 # This is where you can define environment variables that will be available to
 # all KDE programs, so this is where you can run agents using e.g. eval `ssh-agent`
@@ -170,9 +217,10 @@
 # better use the Autostart folder.
 
 exepath=`kde-config --path exe | tr : '\n'`
+envpath=/etc/kde/env/
 
-for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'`; do
-  for file in "$prefix"*.sh; do
+for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/env/,p'` $envpath ; do
+  for file in "$prefix"*.sh ; do
     test -r "$file" && . "$file"
   done
 done
@@ -378,7 +426,8 @@
 echo 'startkde: Running shutdown scripts...'  1>&2
 
 # Run scripts found in $KDEDIRS/shutdown
-for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'`; do
+shutdownpath=/etc/kde/shutdown/
+for prefix in `echo "$exepath" | sed -n -e 's,/bin[^/]*/,/shutdown/,p'` $shutdownpath; do
   for file in `ls "$prefix" 2> /dev/null | egrep -v '(~|\.bak)$'`; do
     test -x "$prefix$file" && "$prefix$file"
   done


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/kdebase/devel/.cvsignore,v
retrieving revision 1.57
retrieving revision 1.58
diff -u -r1.57 -r1.58
--- .cvsignore	16 Jun 2007 19:11:13 -0000	1.57
+++ .cvsignore	13 Oct 2007 12:46:57 -0000	1.58
@@ -31,3 +31,4 @@
 kde-redhat-config-3.5-fc5-0.6.tar.bz2
 kde-redhat-config-3.5-fc7-1.tar.bz2
 kdebase-3.5.7.tar.bz2
+kdebase-3.5.8.tar.bz2


Index: kdebase.spec
===================================================================
RCS file: /cvs/pkgs/rpms/kdebase/devel/kdebase.spec,v
retrieving revision 1.269
retrieving revision 1.270
diff -u -r1.269 -r1.270
--- kdebase.spec	3 Oct 2007 16:38:09 -0000	1.269
+++ kdebase.spec	13 Oct 2007 12:46:57 -0000	1.270
@@ -1,15 +1,10 @@
 
 %define debug 0 
-%define final 0
+%define final 1 
 
 %define redhatify 1
 %define kde_settings 1
 
-%define qt_version 3.3.8
-%define arts_version 1.5.7
-%define kde_version 3.5.7
-%define kdelibs_epoch 6
-%define arts_epoch 8
 %define make_cvs 1
 
 %define arts 1
@@ -17,8 +12,8 @@
 Summary: K Desktop Environment - core files
 Name:    kdebase
 Epoch:   6
-Version: 3.5.7
-Release: 17%{?dist}
+Version: 3.5.8
+Release: 1%{?dist}
 
 # programs: GPLv2, libs: LGPLv2
 # a lot(most/all?) of files are +, but we'll be conservative, for now. -- Rex
@@ -46,7 +41,7 @@
 Source1002: kde-legacy.pamd
 
 Patch0: kdebase-3.5.5-redhat-pam.patch
-Patch1: kdebase-3.5.7-1-redhat-startkde.patch
+Patch1: kdebase-%{version}-redhat-startkde.patch
 Patch2: kdebase-3.3.92-vroot.patch
 Patch3: kdebase-3.x-shortcuts.patch
 Patch4: kdebase-3.2.0-keymap.patch
@@ -66,9 +61,10 @@
 Patch24: kdebase-3.5.4-tango-icon-theme.patch
 Patch25: kdebase-3.5.4-konqueror-shortcut.patch
 Patch26: kdebase-3.5.5-suspend.patch
+# FIXME
 Patch27: kdebase-3.5.6-consolekit-kdm.patch
 Patch28: kdebase-3.5.6-kdm-alternatebackground.patch
-Patch29: kdebase-3.5.7-bz#244906.patch
+Patch29: kdebase-3.5.8-konsole-bz#244906.patch
 Patch30: kdebase-3.5.7-kio_media_mounthelper.patch
 Patch31: kdebase-3.5.7-konsolesu.patch
 
@@ -77,12 +73,6 @@
 Patch200: kdebase-3.5.7-kde#83974.patch
 
 # security fixes
-# http://www.kde.org/info/security/advisory-20070914-1.txt
-# CVE-2007-4224, CVE-2007-4225, CVE-2007-3820, Konqueror address bar spoofing
-Patch500: ftp://ftp.kde.org/pub/kde/security_patches/post-3.5.7-kdebase-konqueror-2.diff
-# http://www.kde.org/info/security/advisory-20070919-1.txt
-# CVE-2007-4569, kdm password-less login vulnerability
-Patch501: ftp://ftp.kde.org/pub/kde/security_patches/post-3.5.7-kdebase-kdm.diff
 
 Provides: kdebase3 = %{version}-%{release}
 
@@ -235,7 +225,7 @@
 %patch24 -p1 -b .tango-icon-theme
 %patch25 -p1 -b .konqueror-shortcut
 %{?_with_suspend:%patch26 -p1 -b .suspend}
-%{?_with_hal:%patch27 -p1 -b .consolekit}
+#{?_with_hal:%patch27 -p1 -b .consolekit}
 %patch28 -p1 -b .kdm-alternatebackground
 %patch29 -p1 -b .konsole-bz#244906
 %patch30 -p1 -b .bz#265801
@@ -245,8 +235,6 @@
 #patch200 -p4 -b .kde#83974
 
 # security fixes
-%patch500 -p0 -b .CVE-2007-4224-CVE-2007-4225-CVE-2007-3820
-%patch501 -p0 -b .CVE-2007-4569
 
 %if %redhatify
    cp %{SOURCE1} konsole
@@ -655,6 +643,9 @@
 
 
 %changelog
+* Sat Oct 13 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.8-1
+- kde-3.5.8
+
 * Wed Oct 03 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 6:3.5.7-17
 - Requires: findutils which (#312611)
 


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/kdebase/devel/sources,v
retrieving revision 1.78
retrieving revision 1.79
diff -u -r1.78 -r1.79
--- sources	16 Jun 2007 19:11:13 -0000	1.78
+++ sources	13 Oct 2007 12:46:57 -0000	1.79
@@ -1,2 +1,2 @@
 d52f08756a8d3e9df478506bd258a4d8  kde-redhat-config-3.5-fc7-1.tar.bz2
-b421e01b3ee712549ee967f58ed24de0  kdebase-3.5.7.tar.bz2
+9990c669229daaaa8fca4c5e354441fd  kdebase-3.5.8.tar.bz2


--- kdebase-3.5.7-1-redhat-startkde.patch DELETED ---


--- kdebase-3.5.7-bz#244906.patch DELETED ---


--- post-3.5.7-kdebase-kdm.diff DELETED ---


--- post-3.5.7-kdebase-konqueror-2.diff DELETED ---




More information about the fedora-extras-commits mailing list